summaryrefslogtreecommitdiffstats
path: root/qtinterface/tqt-replace
diff options
context:
space:
mode:
Diffstat (limited to 'qtinterface/tqt-replace')
-rwxr-xr-xqtinterface/tqt-replace17
1 files changed, 17 insertions, 0 deletions
diff --git a/qtinterface/tqt-replace b/qtinterface/tqt-replace
new file mode 100755
index 0000000..d11e243
--- /dev/null
+++ b/qtinterface/tqt-replace
@@ -0,0 +1,17 @@
+#!/bin/bash
+QT_VER=3
+
+if [[ $1 == "" ]]; then
+ echo "Usage: tqt-replace <input_file>"
+else
+ if [[ $QT_VER == 3 ]]; then
+ sed -i 's/TQ\([^T]\)/Q\1/g' "$1"
+ sed -i 's/TQT\([^_]\)/QT\1/g' "$1"
+ exit 0
+ fi
+
+ if [[ $QT_VER == 4 ]]; then
+ echo "ERROR: Not Yet Implemented"
+ exit 1
+ fi
+fi